@import "src/scss/variable.scss";

.main-loading {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: $loading-zindex;
  background-color: #fff;

  .loading-overlay {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.6);
  }

  .full-cup {
    z-index: $loading-zindex;
    position: absolute;
    top: 50%;
    left: 50%;

    width: toRem(150);
    height: toRem(140);

    transform: translate(-50%, -50%) scale(0.55);

    @media (max-width: 600px) {
      transform: translate(-50%, -50%) scale(0.45);
    }

    .plate {
      position: absolute;
      left: 50%;
      transform: translate(-50%, 28%);
      width: toRem(300);
      height: toRem(150);
      background: linear-gradient(to right, #fafafa, #eaeaea);
      border-radius: 50%;
      box-shadow: 0 35px 35px rgba(0, 0, 0, 0.2);

      &::before {
        content: "";
        position: absolute;
        top: toRem(10);
        left: toRem(10);
        bottom: toRem(10);
        right: toRem(10);
        border-radius: 50%;
        background: linear-gradient(to left, #fafafa, #dedede);
      }

      &::after {
        content: "";
        position: absolute;
        top: toRem(30);
        left: toRem(30);
        bottom: toRem(30);
        right: toRem(30);
        border-radius: 50%;
        background: radial-gradient(
          rgba(0, 0, 0, 0.3) 25%,
          transparent,
          transparent
        );
      }
    }

    .handle {
      position: absolute;
      top: toRem(30);
      width: toRem(80);
      height: toRem(100);
      border: toRem(15) solid #cacaca;
      border-left: toRem(20) solid transparent;
      border-bottom: toRem(20) solid transparent;
      border-radius: 50%;
      transform: rotate(35deg) translate(85%, -80%);
      box-sizing: border-box;
    }

    .cup {
      width: 100%;
      height: 100%;
      position: relative;
      background-color: #fff;
      background: linear-gradient(to right, #fff, #cacaca);
      border-bottom-left-radius: 35%;
      border-bottom-right-radius: 35%;

      .top {
        position: absolute;
        width: 100%;
        height: 40%;
        top: -30px;
        border-radius: 50%;
        background: linear-gradient(to right, #fafafa, #cacaca);
      }

      .circle {
        --width-top: 94%;
        position: absolute;
        width: var(--width-top);
        left: calc((100% - var(--width-top)) / 2);
        top: calc((100% - var(--width-top)));
        border-radius: 50%;
        height: 100%;
        overflow: hidden;
        background: linear-gradient(to left, #fafafa, #cacaca);
        background-color: aqua;
      }

      .coffee {
        position: absolute;
        width: 100%;
        height: 100%;
        top: 30%;
        background: linear-gradient(#cb6c4b, #df7958);
        border-radius: 50%;
      }

      .logo {
        margin: auto;
        position: absolute;
        left: 50%;
        transform: translate(-50%, -50%);
        width: toRem(30);
        height: toRem(30);
      }

      .logo img {
        width: 100%;
      }

      .vapour {
        position: relative;
        display: flex;
        justify-content: space-between;
        z-index: 1;
        padding: 0 20px;
      }

      .vapour span {
        position: relative;
        bottom: toRem(50);
        min-width: toRem(6);
        height: toRem(120);

        background: #fff;
        border-radius: 50%;
        opacity: 0;
        animation: animate 1.5s linear infinite;
        filter: blur(10px);
      }

      @keyframes animate {
        0% {
          transform: translateY(toRem(30)) scaleX(1);
          opacity: 0;
        }
        20% {
          opacity: 1;
        }
        50% {
          transform: translateY(toRem(-150)) scaleX(5);
        }
        90% {
          opacity: 0;
        }
        100% {
          transform: translateY(toRem(-300)) scaleX(10);
        }
      }
    }
  }
}
